@import "abstracts/vars";
@import "abstracts/mixins";
@import "base/icomoon/index";


.session-list {
    margin-top: 3rem;

    &__title.featured-list__header__title {
        font-size: 4.375rem;
    }

    .leftSide {
        .col-xs-12 {
            padding-left: 0px;
        }
    }

    &__entry {
        background: #ffffff;
        margin-bottom: 1.5rem;
        display: flex;
        flex-direction: column;
        padding: 20px 8px;

        &-waitlist-wrapper {
            width: 100%;
            margin-right: 1rem;
        }

        &-date {
            font-weight: 400;
            color: #666666;
            font-size: 1.5rem;
            display: flex;
            padding-bottom: 2rem;

            &::before {
                @include icomoon-icon();
                content: $icon-calendar;
                font-size: 30px;
                margin-right: 0.8rem;
                width: 30px;
                height: 30px;
                text-align: center;
            }
        }

        &-time {
            font-weight: 400;
            color: #666666;
            font-size: 1.3rem;

            &-wrap {
                display: flex;
                padding-bottom: 2rem;
            }

            &-list,
            &-one {
                display: block;
                padding-bottom: 2rem;
                padding-left: 10px;
                font-size: 1.3rem; 

                &::before {
                    @include icomoon-icon();
                    content: $icon-time;
                    font-size: 25px;
                    position: absolute;
                    left: -15px;
                    font-size: 28px;
                }

            } 
        }

        &-location {
            display: flex;
            align-items: center;
            font-size: 1.5rem;

            &::before {
                @include icomoon-icon;
                content: $icon-location;
                font-size: 30px;
                margin-right: 0.8rem;
                width: 30px;
                height: 30px;
                text-align: center;
            }
        }

        &-address {
            margin-left: 43px;

            .address1 {
                font-size: 1.125rem;
            }

            .address2 {
                color: #0032ab;
                font-size: 0.875rem;
            }
        }

        &-city {
            &::after {
                content: ",\00a0";
            }
        }

        &-btn {
            background: $blue;
            position: relative;
            text-align: center;
            margin-left: 21px;
            width: 200px;

            a {
                color: $text-white !important;
                text-decoration: none !important;
                font-size: 12px;
                font-weight: bolder;
                display: block;
                text-align: center;
                width: 200px;
                padding: 1rem;

                &:hover {
                    color: #878787 !important;

                    &::after {
                        color: #878787 !important;
                    }
                }

                &::after {
                    @include icomoon-icon;
                    content: $icon-carot-right;
                    font-size: .7em;
                    position: absolute;
                    top: 42%;
                    right: 20%;
                    color: $text-white;
                }
            }

            &-waitlist {
                background: #6E4E8A;
                display: block;
                text-align: center;
                width: 200px;

                a {
                    &:hover {
                        color: #878787 !important;

                        &::after {
                            color: #878787 !important;
                        }
                    }

                    &::after {
                        right: 10%;
                    }
                }

                &-msg {
                    font-weight: 400;
                    color: #666666;
                    font-size: 12px;
                    text-align: center;
                    font-style: italic;
                    padding: .2rem 1rem 0;
                    line-height: 1.2;
                    margin-top: 7px;
                    width: 200px;
                    margin-left: 21px;
                }
            }
        }
    }

    .no-results {
        display: block;
        padding: 48px 60px;
        background-color: white;
        margin-bottom: 56px;

        @media (max-width: 520px) {
            padding: 29px 50px;
        }

        &>div:first-child {
            font-size: 24px;
            color: #666666;
            line-height: 26px;
            position: relative;
            margin-bottom: 20px;
            padding-left: 5px;

            @media (max-width: 520px) {
                font-size: 18px;
                line-height: 22px;
            }

            &::before {
                content: "";
                background-image: url(../images/info.png);
                position: absolute;
                width: 30px;
                height: 30px;
                background-size: 100%;
                background-repeat: no-repeat;
                background-position: 0 0;
                top: .2rem;
                left: -37px;
            }
        }

        &>div:nth-child(2) {
            display: inline-block;
            padding: 18px 51px 18px 40px;
            background-color: #0032ab;

            @media (max-width: 520px) {
                padding: 18px 45px 18px 37px;

            }

            @media (max-width: 364px) {
                padding: 18px 29px 18px 11px;
            }

            a {
                color: white;
                display: inline-block;
                font-size: 15px;
                font-weight: bold;
                text-decoration: none;
                position: relative;

                @media (max-width: 520px) {
                    font-size: 12px;
                }

                &::after {
                    display: inline-block;
                    font: normal normal normal 14px/1 IcoMoon;
                    font-size: inherit;
                    text-rendering: auto;
                    -webkit-font-smoothing: antialiased;
                    -moz-osx-font-smoothing: grayscale;
                    content: "";
                    font-size: .7em;
                    position: absolute;
                    top: 42%;
                    right: -15px;
                    color: #fff;

                    @media (max-width: 520px) {
                        top: 39%;
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 990px) {
    .session-list {
        margin-top: 2rem;

        &__title.featured-list__header__title {
            font-size: 3.7rem !important;
        }

        &__entry {

            &-waitlist-wrapper {
                width: 200px;
                height: 48px;
            }

            &-date {
                font-size: 2rem;
            }

            &-time {

                &-list,
                &-one {
                    font-size: 1.5rem;

                }
            }

            &-location {
                font-size: 2rem;
            }

            &-address {
                .address1 {
                    font-size: 1.7rem;
                }

                .address2 {
                    font-size: 1.5rem;
                }
            }
 
            &-btn {
                width: 200px;
                height: 48px;

                a {
                    line-height: 28px;
                    font-size: 12px;
                }

                &-waitlist {

                    &-msg {
                        font-size: 12px;
                        float: right;
                        padding: 0px 28px;
                        margin-right: -21px;
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 767px) {
    .session-list {
        &__title.featured-list__header__title {
            font-size: 3.7rem !important;
        }

        &__entry {

            &-date {
                font-size: 16px;
                color: #666666;
                font-family: Arial, Helvetica, sans-serif;
                font-weight: bold;

                &::before {
                    font-size: 24px;
                    width: 24px;
                    height: 24px;

                }
            }

            &-time {

                &-list,
                &-one {
                    font-size: 16px;
                    font-weight: bold;
                    padding-left: 18px;
                    padding-top: 15px;

                    &::before {
                        left: 0px;
                        font-size: 24px;
                    }

                    .eachday {
                        font-size: 15px;
                        font-weight: 100;
                    }

                }

                &-wrap {
                    padding-top: 0px;
                    padding-bottom: 0px;
                }
            }

            &-location {
                font-size: 16px;
                color: #666666;
                font-family: Arial, Helvetica, sans-serif;
                font-weight: bold;

                &::before {
                    font-size: 24px;
                    width: 24px;
                    height: 24px;

                }
            }

            &-address {
                .address1 {
                    font-size: 14px;
                    color: #666666;
                    font-family: Arial, Helvetica, sans-serif;
                }

                .address2 {
                    font-size: 12px;
                }

                margin-left: 31px;
            }

            &-btn {
                a {
                    line-height: 28px;
                    font-size: 14px;

                    &::after {
                        font-size: 12px;
                        position: absolute;
                        top: 38%;
                        right: 13%;
                    }
                }

                &-waitlist {

                    &-msg {
                        font-size: 12px;
                        float: left;
                        padding: 0px 28px;
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 400px) {
    .session-list {
        &__entry {

            &-date {
                font-size: 16px;
                color: #666666;
                font-family: Arial, Helvetica, sans-serif;
                font-weight: bold;

                &::before {
                    font-size: 24px;
                    width: 24px;
                    height: 24px;

                }
            }

            &-time {

                &-list,
                &-one {
                    font-size: 15px;
                    font-weight: 600;
                    padding-left: 18px;
                    padding-top: 15px
                }

            }
        }
    }
}

.sessionfooter {

    padding: 0px !important;
    padding-bottom: 90px !important;
    display: none;

    .col-xs-12 {
        padding: 0px !important;
    }

    .title1 {
        font-size: 18px;
        color: #666666;

        @media(max-width: 767px) {
            display: inline;
        }

        @media(max-width: 340px) {
            font-size: 16px;

        }
    }

    .title2 {
        width: 192px;
        float: right;
        font-size: 14px;
        color: #666666;
        position: relative;

        @media(max-width: 767px) {
            font-size: 13px;
            float: left;
            margin-left: 4rem;
            margin-top: 15px;
        }

        &::before {
            content: "";
            background-image: url(../images/info.png);
            position: absolute;
            width: 25px;
            height: 25px;
            background-size: 100%;
            background-repeat: no-repeat;
            background-position: 0 0;
            top: .2rem;
            left: -35px;

            @media(max-width: 767px) {
                width: 25px;
                height: 25px;
            }

        }
    }

    .link {
        padding: 0px;
        margin: 0px;

        @media(max-width: 767px) {
            display: inline;
        }

        a {
            font-weight: bold;
            font-size: 18px;
            color: #0032ab;
            padding: 0px;
            margin: 0px;
            border-bottom: 0px;
            text-decoration: none;

            &:hover {
                color: gray;
                text-decoration: none;

                &::after {
                    color: gray;
                }
            }

            &::after {
                display: inline-block;
                font: normal normal normal 14px/1 IcoMoon;
                font-size: inherit;
                text-rendering: auto;
                -webkit-font-smoothing: antialiased;
                -moz-osx-font-smoothing: grayscale;
                content: "";
                font-size: .7em;
                margin-left: 17px;
                color: #0032ab;

                @media(max-width: 767px) {
                    margin-left: 10px;
                }

            }

            &::before {
                font-size: 17px;

                @media(max-width: 767px) {
                    content: '\00a0';
                }
            }

        }
    }
}